System Requirements

The only software you will need to access our Web products is Adobe Acrobat Reader 7.0 or higher, which can be downloaded for free from Adobe.

Please note, if you have a pop-up blocker installed, you must configure it to allow pop-ups from the arbfile.org domain. Failure to do so will cause problems with various functions within AF systems, e.g., online help, PDF generation, etc.